#!/bin/bash

# В системе должны быть установлены пакеты
# gzip, gcr, libpcsclite, pcsc-lite, pcsc-lite-ccid

JCPKCS_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jcpkcs11-2_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_alt_x64\.rpm)/\1/p'`
UC_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_alt_x64\.rpm)/\1/p'`
JCSECURBIO_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jcsecurbio_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_x64\.rpm)/\1/p'`
cd "$(dirname "$0")"

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

if [ -z "$JCSECURBIO_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcsecurbio!"
    exit 1
fi

echo "Установка пакетов!"
echo "=========================================="
apt-get install -y libpcsclite pcsc-lite pcsc-lite-ccid libxkbcommon-x11
apt-get install -y $JCPKCS_PACKAGE $UC_PACKAGE $JCSECURBIO_PACKAGE

